package io.renren.modules.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.business.entity.BusinessApprovalEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 审批数据接收表
 * 
 * @author jiaqiao
 * @email jiaqiao@163.com
 * @date 2022-08-10 18:46:32
 */
@Mapper
public interface BusinessApprovalDao extends BaseMapper<BusinessApprovalEntity> {
	List<BusinessApprovalEntity> selectAll();

    List<BusinessApprovalEntity> querySonList(@Param("approvalFatherId") Integer approvalFatherId);

    List<BusinessApprovalEntity> queryCQList(@Param("userId") String userId,@Param("startTime") String startTime,@Param("endTime") String endTime);

    /**
     * 审批未通过
     * @param id
     */
    void noPass(@Param("id") String id);

    /**
     * 根据id 获取工资账目或者出勤记录信息
     * @param id
     * @return
     */
    BusinessApprovalEntity getCqOrGzInfo(@Param("id") Integer id);
}
